#include <iostream>
using namespace std;
int main()
{
    int t, n, m, k, i, j;
    cin>>t;
    int niz[t][3];
    
    for (i=0; i<t; i++)
    {
        for (j=0; j<3; j++)
        {
            cin>>niz[i][j];
        }
    }
    for (i=0; i<t; i++)
    {
        n=niz[i][0];
        m=niz[i][1];
        k=niz[i][2];
        if (k==1)
        {
            if (n==m) {cout<<"Nie"<<endl;}
            else
            {
                if ((m-(n-1)*n/2)>n-1) {cout<<"Tak"<<endl;}
                else {cout<<"Nie"<<endl;}
            }
        }
        else
        {
            if ((m-k+1-(n-k-1)*(n-k)/2)>n-k-1)
            {
                cout<<"Tak"<<endl;
            }
            else {cout<<"Nie"<<endl;}
        }
    }
    return 0;
}